package com.lightinit.hsdataportal.mapper;

import com.lightinit.hsdataportal.entity.UserSecurityCode;
import com.lightinit.hsdataportal.entity.UserSecurityCodeExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface UserSecurityCodeMapper {
    long countByExample(UserSecurityCodeExample example);

    int deleteByExample(UserSecurityCodeExample example);

    int deleteByPrimaryKey(Long id);

    int insert(UserSecurityCode record);

    int insertSelective(UserSecurityCode record);

    List<UserSecurityCode> selectByExample(UserSecurityCodeExample example);

    UserSecurityCode selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") UserSecurityCode record, @Param("example") UserSecurityCodeExample example);

    int updateByExample(@Param("record") UserSecurityCode record, @Param("example") UserSecurityCodeExample example);

    int updateByPrimaryKeySelective(UserSecurityCode record);

    int updateByPrimaryKey(UserSecurityCode record);

    int updateByPhone(UserSecurityCode userSecurityCode);
}